Bug 1325655 - rubygem-gherkin-4.0.0 is available
Summary: rubygem-gherkin-4.0.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-gherkin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-10 12:13 UTC by Upstream Release Monitoring
Modified: 2017-01-24 12:39 UTC (History)
4 users (show)

Fixed In Version: rubygem-gherkin-4.0.0-1.fc26
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-20 18:31:48 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (6.43 KB, patch)
2016-04-10 12:14 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 4.0.0 (1.61 KB, patch)
2017-01-10 20:42 UTC, Jun Aruga
no flags Details | Diff
test files for 4.0.0 (15.69 KB, application/x-gzip)
2017-01-10 20:42 UTC, Jun Aruga
no flags Details
lint.log (1.33 KB, text/plain)
2017-01-10 20:43 UTC, Jun Aruga
no flags Details
Update to 1.1.1 (2) (3.52 KB, patch)
2017-01-11 14:08 UTC, Jun Aruga
no flags Details | Diff

Description Upstream Release Monitoring 2016-04-10 12:13:35 UTC
Latest upstream release: 4.0.0
Current version/release in rawhide: 3.2.0-1.fc25
URL: https://github.com/cucumber/gherkin

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4298/

Comment 1 Upstream Release Monitoring 2016-04-10 12:14:07 UTC
Patching or scratch build for rubygem-gherkin-3.2.0 failed.

Comment 2 Upstream Release Monitoring 2016-04-10 12:14:08 UTC
Created attachment 1145664 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-04-10 12:14:10 UTC
Patches were not touched. All were applied properly

Comment 4 Jun Aruga 2017-01-10 20:42:00 UTC
Created attachment 1239232 [details]
Update to 4.0.0

Hi,

I uploaded a patch from current 3.2.0 to latest version 4.0.0.

I checked below things.
cucumber, cucumber-core are affected.
But I will upload the patches for that ASAP.

- Dependency check:
  rubygem-cucumber-0:2.3.3-2.fc26.noarch
    https://rubygems.org/gems/cucumber/versions/2.3.3
    Need to update cucumber to 2.4.0 or do relax dependency.
  rubygem-cucumber-core-0:1.4.0-1.fc25.noarch
    https://rubygems.org/gems/cucumber-core/versions/1.4.0
    Need to update cucumber-core to 1.5.0 or 2.0.0.
- License check: ok
- rpmlint check:
  wrong-script-interpreter
  See attached lint.log
- Install check: ok

Can you check the patch?
Thank you.

Comment 5 Jun Aruga 2017-01-10 20:42:35 UTC
Created attachment 1239233 [details]
test files for 4.0.0

Comment 6 Jun Aruga 2017-01-10 20:43:03 UTC
Created attachment 1239234 [details]
lint.log

Comment 7 Jun Aruga 2017-01-10 21:06:34 UTC
If possible, I want to push this patch before rubygem-cucumber, and rubygem-cucumber-core will be upgraded. As rawhide cucumber has been already FTBFS, it looks no problem.

Comment 8 Jun Aruga 2017-01-11 14:08:07 UTC
Created attachment 1239453 [details]
Update to 1.1.1 (2)

Hi Vit,

I updated the patch to fix your mentioned issue.
I also reported to upstream as a pull-request.

Could you check it?
Thank you.

Comment 9 Jun Aruga 2017-01-11 14:10:11 UTC
Comment on attachment 1239453 [details]
Update to 1.1.1 (2)

Sorry I took a mistake to upload a patch.
Please ignore above comment of mine.

Comment 10 Fedora Admin XMLRPC Client 2017-01-12 13:11:48 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora Admin XMLRPC Client 2017-01-12 13:28:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Upstream Release Monitoring 2017-01-20 18:22:35 UTC
vondruch's rubygem-gherkin-4.0.0-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=835352

Comment 13 Vít Ondruch 2017-01-20 18:31:48 UTC
@Jun: Thx for the patches. Gherkin is now updated in Rawhide.

Comment 14 Jun Aruga 2017-01-24 12:39:31 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.